<?php

namespace App\ViewModels\PagSeguro\PagSeguroNotificationCreditCard;

use App\Utils\Builder;

class PagSeguroPhoneViewModelBuilder implements Builder {
	protected $country;
	protected $area;
	protected $number;
	protected $type;

	public function build(): PagSeguroPhoneViewModel {

		$obj = new PagSeguroPhoneViewModel();

		$obj->setCountry( $this->country );
		$obj->setArea( $this->area );
		$obj->setNumber( $this->number );
		$obj->setType( $this->type );

		return $obj;

	}

	/**
	 *
	 * @param mixed $country
	 */
	public function setCountry($country): PagSeguroPhoneViewModelBuilder {

		$this->country = $country;
		return $this;

	}

	/**
	 *
	 * @param mixed $area
	 */
	public function setArea($area): PagSeguroPhoneViewModelBuilder {

		$this->area = $area;
		return $this;

	}

	/**
	 *
	 * @param mixed $number
	 */
	public function setNumber($number): PagSeguroPhoneViewModelBuilder {

		$this->number = $number;
		return $this;

	}

	/**
	 *
	 * @param mixed $type
	 */
	public function setType($type): PagSeguroPhoneViewModelBuilder {

		$this->type = $type;
		return $this;

	}

}

